### Enumeration

# WPEWebKit NetworkError

#### Declaration

    error-domain WPEWebKit.NetworkError

#### Description [src]

Enum values used to denote the various network errors.

#### Members

`WEBKIT_NETWORK_ERROR_FAILED`

  Generic load failure.

  - Value: `399`
  - Available since: 2.0
`WEBKIT_NETWORK_ERROR_TRANSPORT`

  Load failure due to transport error.

  - Value: `300`
  - Available since: 2.0
`WEBKIT_NETWORK_ERROR_UNKNOWN_PROTOCOL`

  Load failure due to unknown protocol.

  - Value: `301`
  - Available since: 2.0
`WEBKIT_NETWORK_ERROR_CANCELLED`

  Load failure due to cancellation.

  - Value: `302`
  - Available since: 2.0
`WEBKIT_NETWORK_ERROR_FILE_DOES_NOT_EXIST`

  Load failure due to missing file.

  - Value: `303`
  - Available since: 2.0

#### Type functions

###### webkit_network_error_quark

Gets the quark for the domain of networking errors.